=== modified file 'Dependencies.md'
--- Dependencies.md	2013-06-11 14:04:04 +0000
+++ Dependencies.md	2013-07-16 15:30:33 +0000
@@ -47,7 +47,7 @@
 Organizations deploying the charm for their enterprise may have the
 requirement to not allow the installation of software from outside of their
 local network.  Typically those environments require all external software to
-be downloaded to a local server and used from there.  Our devel PPA provides a
+be downloaded to a local server and used from there.  Our stable PPA provides a
 single starting place to obtain QA'd software.  Dev ops can grab the subset of
 packages they need, audit, test, and then serve them locally.  The
 `repository-location` config variable can be used to point to the local repo.

=== added file 'Operation.md'
--- Operation.md	1970-01-01 00:00:00 +0000
+++ Operation.md	2013-07-16 15:30:33 +0000
@@ -0,0 +1,39 @@
+<!--
+Operation.md
+Copyright 2013 Canonical Ltd.
+This work is licensed under the Creative Commons Attribution-Share Alike 3.0
+Unported License. To view a copy of this license, visit
+http://creativecommons.org/licenses/by-sa/3.0/ or send a letter to Creative
+Commons, 171 Second Street, Suite 300, San Francisco, California, 94105, USA.
+-->
+
+# Juju GUI Charm Operation #
+
+## How it works ##
+
+The Juju GUI is a client-side, JavaScript application that runs inside a web
+browser. The browser connects to a single server deployed by the charm.
+
+## Server ##
+
+
+The server directly serves static files to the browser, including
+images, HTML, CSS and JavaScript files via an HTTPS connection.
+
+It also acts as a proxy between the browser and the Juju installation that
+performs the actual deployment work. Both browser-server and server-Juju
+connections are bidirectional via the WebSocket protocol, allowing changes
+in the Juju installation to be propagated and shown immediately by the browser.
+
+
+
+The GUI server is a custom-made application based on the
+[Tornado](http://www.tornadoweb.org/) framework.
+
+It directly serves static files to the browser, including images, HTML,
+CSS and JavaScript files via an HTTPS connection.
+
+It also acts as a proxy between the browser and the Juju installation that
+performs the actual deployment work. Both browser-server and server-Juju
+connections are bidirectional via the WebSocket protocol, allowing changes
+in the Juju installation to be propagated and shown immediately by the browser.

=== modified file 'README.md'
--- README.md	2013-06-11 14:04:04 +0000
+++ README.md	2013-07-16 15:30:33 +0000
@@ -13,7 +13,8 @@
 
 ## Supported Browsers ##
 
-The Juju GUI supports recent releases of Chrome, Chromium and Firefox.
+The Juju GUI supports recent releases of the Chrome, Chromium and Firefox web
+browsers.
 
 ## Demo/Staging Server ##
 

